-- 图腾属性
Lua_TotemAttributeWindow = class("Lua_TotemAttributeWindow", Lua_Window)
function Lua_TotemAttributeWindow:ctor()
	self:superCall("ctor");
	
	self.windowName = "Lua_TotemAttributeWindow";
	self.skinName = "TotemAttributeWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_TotemAttributeWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.attrItems = Array();
end

function Lua_TotemAttributeWindow:dispose()
	if self.attrItems then
		self.attrItems:dispose();
		self.attrItems:clear();
		self.attrItems = nil;
	end
	self:superCall("dispose");
end

function Lua_TotemAttributeWindow:showWin(param)
	self:superCall("showWin", param);

	local len = param:getSize();
	local item;
	local str;
	for i = 1, len do
		item = self.attrItems[i];
		if item == nil then
			item = Lua_AttrIconItem.new(self.showObject);
			item.pivot = 1;
			item:setTextStyle(Lua_MyUISettings.defaultFontName, 22, "EDEEF7");
			self.attrItems:add(item);
		end
        item:setLocation(-185 + ((i - 1) % 2) * 190, -110 + Mathf.Floor((i - 1) / 2) * -45, 0);
        str = Lua_ColorDefine.getColorStr("52B16B", LanUtil.formateStr(10049, param[i].showValue));
		item:setData("common_altas_2", param[i].attr_icon_2, LanUtil.formateStr(10055, param[i].show_name, str));
	end

	local height = 110 + Mathf.Ceil(len / 2) * 45;
	self.winBg:SetDimensions(434, height);
	LuaUtil.setObjPos(self.showObject, 0, height / 2, 0);
end